Subject: Re: Processed-By (or Transmitted-By) header concept

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 30 Sep 2004 19:58:40 +0100

On Thu, Sep 30, 2004 at 09:20:18AM +0100,
 Danny Angus <[email-masked]> wrote 
 a message of 110 lines which said:

> far more valuable in this role would be the normalisation, through
> clarification and mandating, of existing optional compliant
> behaviour and non-standard best practice.
...
> I can see why you think this, but I would contend that if Received
> and Resent headers included the full range of fields available to
> them and HELO/EHLO contents were standardised and mandated 

From a purely engineering point of view, it is nice and
reasonable. But for producing actual outputs, I doubt you will be able
to update RFC 2821 and 2822 on Received headers in the short term. Or
to modify the code of several MTAs. It is typically easier, both in
standard documents and in currently deployed code to add new stuff
than to try to modify old stuff.